agents
Get an agent's routing config
The agent’s resolved routing config (attached config, else the owner’s default, else none), which config is attached, its source, and the inbound format. Owner or superuser only.
GET
/
api
/
agents
/
{id}
/
llm-config
Get an agent's routing config
curl --request GET \
--url https://free.app.nasiko.com/api/agents/{id}/llm-config \
--header 'Authorization: Bearer <token>'import requests
url = "https://free.app.nasiko.com/api/agents/{id}/llm-config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://free.app.nasiko.com/api/agents/{id}/llm-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://free.app.nasiko.com/api/agents/{id}/llm-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://free.app.nasiko.com/api/agents/{id}/llm-config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://free.app.nasiko.com/api/agents/{id}/llm-config")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://free.app.nasiko.com/api/agents/{id}/llm-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inbound_format": "<string>",
"source": "<string>",
"llm_config": "<unknown>",
"llm_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pinned_model": "<string>"
},
"message": "<string>",
"status_code": 1
}Authorizations
⌘I
Get an agent's routing config
curl --request GET \
--url https://free.app.nasiko.com/api/agents/{id}/llm-config \
--header 'Authorization: Bearer <token>'import requests
url = "https://free.app.nasiko.com/api/agents/{id}/llm-config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://free.app.nasiko.com/api/agents/{id}/llm-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://free.app.nasiko.com/api/agents/{id}/llm-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://free.app.nasiko.com/api/agents/{id}/llm-config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://free.app.nasiko.com/api/agents/{id}/llm-config")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://free.app.nasiko.com/api/agents/{id}/llm-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inbound_format": "<string>",
"source": "<string>",
"llm_config": "<unknown>",
"llm_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pinned_model": "<string>"
},
"message": "<string>",
"status_code": 1
}